package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.RankingSchedule;
import com.caliverse.admin.domain.request.RankRequest;

import java.util.List;
import java.util.Map;


public interface RankMapper {

    List<RankingSchedule> getRankingScheduleList(Map map);
    int getTotal();
    RankingSchedule getRankingScheduleDetail(Long id);

    int postRankingSchedule(RankRequest rankRequest);
    int updateRankingSchedule(RankRequest rankRequest);
    int deleteRankingSchedule(Map map);

    int checkOverlap(RankRequest rankRequest);
}
